import Vue from 'vue'
import App from './App.vue'
import ViewUI from 'view-design'
import 'view-design/dist/styles/iview.css'

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import 'xe-utils'
import VXETable from 'vxe-table'
import 'vxe-table/lib/index.css'

import wlCodemirrorEditor from 'wl-codemirror-editor'
import 'wl-codemirror-editor/lib/wl-codemirror-editor.css'

import JsonSchemaEditor from '../packages/index'
Vue.config.productionTip = false
Vue.use(ViewUI)
Vue.use(ElementUI, { size: 'small' })
Vue.use(JsonSchemaEditor)
Vue.use(wlCodemirrorEditor)
Vue.use(VXETable)

new Vue({
  render: h => h(App)
}).$mount('#app')
