export const elmentBasicComponents = [
  {
    icon: 'icon-input',
    label: 'el-button',
    attr: {
      'icon': 'el-icon-search',
      innerText: '确定',
      'scp-type': 'button',
      '@click': ''
    }

  },
  {
    icon: 'icon-input',
    label: 'el-link',
    attr: {
      type: 'success',
      href: 'https://element.eleme.io',
      icon: 'el-icon-edit',
      innerText: '我是一个链接',
      'scp-type': 'link'
    }

  },

  {
    // type: 'table',
    icon: 'icon-input',
    label: 'el-table',
    list: [
      {
        label: 'el-table-column',
        attr: {
          prop: 'date',
          label: '日期',
          width: '180'
        }
      },
      {
        label: 'el-table-column',
        attr: {
          prop: 'name',
          label: '姓名',
          width: '180'
        }
      },
      {
        label: 'el-table-column',
        attr: {
          prop: 'address',
          label: '地址'
        }
      }
    ],
    attr: {
      'style': "width:'100%'",
      'scp-type': 'table'
    }

  },
  {
    // type: 'table',
    icon: 'icon-input',
    label: 'vxe-grid',
    attr: {
      'style': 'width:100%',
      'scp-type': 'vxe-grid',
      height: '530'
    }
  },
  {
    // type: 'pagination',
    icon: 'icon-input',
    label: 'el-pagination',
    attr: {
      background: '',
      layout: 'prev, pager, next',
      ':total': 1000,
      'scp-type': 'pagination'
    }

  },
  {
    // type: 'pagination',
    icon: 'icon-input',
    label: 'span',
    attr: {
      innerText: '内容',
      'scp-type': 'span'
    }

  },
  {
    // type: 'pagination',
    icon: 'icon-input',
    label: 'i-button',
    attr: {
      'icon': 'el-icon-search',
      innerText: '确定',
      'scp-type': 'button',
      '@click': ''
    }

  }
]

export const elmentFromComponents = [
  {
    // type: 'input',
    icon: 'icon-input',
    label: 'el-input',
    attr: {
      dataType: 'string',
      isLabelWidth: 'false',
      'style': 'min-width:50px;',
      'v-model': '',
      'scp-type': 'input'
      // ':class':{
      //     'widget-view':true
      // }

    }
  },
  {
    // type: 'textarea',
    label: 'el-input',
    icon: 'icon-diy-com-textarea',

    attr: {
      type: 'textarea',
      'scp-type': 'textarea'
    }
  },
  {
    // type: 'number',
    icon: 'icon-number',
    label: 'el-input-number',
    attr: {
      'scp-type': 'number'
    }

  },
  {
    // type: 'radio',
    icon: 'icon-radio-active',
    label: 'el-radio-group',
    attr: {
      'scp-type': 'radio'
    },
    list: [
      {
        label: 'el-radio',
        attr: {
          // value: 'Option 2',
          // label: 'Option 2'
        }
      }, {
        label: 'el-radio',
        attr: {
          // value: 'Option 1',
          // label: 'Option 1'
        }
      }

    ]
  },
  // {
  //     // type: 'checkbox',
  //     icon: 'icon-check-box',
  //     label: 'el-checkbox-group',
  //     attr: {
  //         ':style': {
  //             width: '100px',
  //             display: 'inline-block'
  //         },
  //         'scp-type': 'checkbox',
  //         ':value': ''
  //     },
  //     list: [
  //         {
  //             label: 'el-checkbox',
  //             attr: {
  //                 label: 'Option 2',
  //                 // innerText: 'Option text 2'
  //             }
  //         },
  //         {
  //             label: 'el-checkbox',
  //             attr: {
  //                 label: 'Option 1',
  //                 // innerText: 'Option text 1'
  //             }
  //         }
  //     ],
  //
  //     options: {}
  // },
  {
    // type: 'time',
    icon: 'icon-time',
    label: 'el-time-select',
    attr: {
      format: 'HH:mm:ss',
      'scp-type': 'time'

    }
  },
  {
    // type: 'date',
    icon: 'icon-date',
    label: 'el-date-picker',
    attr: {
      'scp-type': 'date'
    }
  },
  {
    // type: 'rate',
    icon: 'icon-pingfen',
    label: 'el-rate',
    attr: {
      'scp-type': 'rate'
    }
  },
  {
    // type: 'color',
    icon: 'icon-color',
    label: 'el-color-picker',
    attr: {
      'scp-type': 'color'
    }

  },
  {
    // type: 'select',
    icon: 'icon-select',
    label: 'el-select',
    list: [
      {
        label: 'el-option',
        attr: {
          label: 'test',
          value: 'text'
        }
      }
    ],
    attr: {
      'scp-type': 'select',
      'v-model': ''
    }
  },
  {
    // type: 'switch',
    icon: 'icon-switch',
    label: 'el-switch',
    attr: {
      'scp-type': 'switch'
    }
  },
  {
    // type: 'slider',
    icon: 'icon-slider',
    label: 'el-slider',
    attr: {
      'scp-type': 'slider'
    }
  }
  // {
  //   type: 'text',
  //   icon: 'icon-wenzishezhi-',
  //   options: {
  //     defaultValue: 'This is a text',
  //     customClass: '',
  //     labelWidth: 100,
  //     isLabelWidth: false,
  //     hidden: false,
  //     dataBind: true
  //   }
  // },
  // {
  //   type: 'html',
  //   icon: 'icon-html',
  //   options: {
  //     defaultValue: '<b style="color: red;">This is a HTML5</b>',
  //     labelWidth: 100,
  //     isLabelWidth: false,
  //     hidden: false,
  //     dataBind: true
  //   }
  // }
]

export const advanceComponents = [
  // {
  //   type: 'blank',
  //   icon: 'icon-zidingyishuju',
  //   options: {
  //     defaultType: 'String',
  //     customClass: '',
  //     width: '',
  //     labelWidth: 100,
  //     isLabelWidth: false,
  //     hidden: false,
  //     dataBind: true
  //   }
  // },
  // {
  //   type: 'fileupload',
  //   icon: 'icon-wenjianshangchuan',
  //   options: {
  //     defaultValue: [],
  //     width: '',
  //     tip: '',
  //     action: 'https://jsonplaceholder.typicode.com/photos/',
  //     customClass: '',
  //     disabled: false,
  //     limit: 9,
  //     fileList: [],
  //     labelWidth: 100,
  //     isLabelWidth: false,
  //     hidden: false,
  //     dataBind: true
  //   }
  // },
  // {
  //   type: 'imgupload',
  //   icon: 'icon-tupian',
  //   options: {
  //     defaultValue: [],
  //     size: {
  //       width: 100,
  //       height: 100,
  //     },
  //     width: '',
  //     tokenFunc: 'funcGetToken',
  //     token: '',
  //     domain: 'http://toolcdn.xiaoyaoji.cn/',
  //     disabled: false,
  //     readonly: false,
  //     limit: 8,
  //     multiple: false,
  //     isQiniu: true,
  //     isDelete: false,
  //     min: 0,
  //     isEdit: false,
  //     action: 'https://jsonplaceholder.typicode.com/photos/',
  //     customClass: '',
  //     labelWidth: 100,
  //     isLabelWidth: false,
  //     hidden: false,
  //     dataBind: true
  //   }
  // },
  // {
  //   type: 'editor',
  //   icon: 'icon-fuwenbenkuang',
  //   options: {
  //     defaultValue: '',
  //     width: '',
  //     customClass: '',
  //     labelWidth: 100,
  //     isLabelWidth: false,
  //     hidden: false,
  //     dataBind: true,
  //     customToolbar: [
  //       [ 'bold', 'italic', 'underline', 'strike',
  //         { 'color': [] },
  //         { 'background': [] },
  //         { 'align': [] },
  //         { 'list': 'ordered'},
  //         { 'list': 'bullet' },
  //         { 'indent': '-1'},
  //         { 'indent': '+1' }
  //       ],
  //       [{ 'font': [] },{ 'header': [1, 2, 3, 4, 5, 6, false] }],
  //       [{ 'script': 'sub'}, { 'script': 'super' }],
  //       ['link', 'image','blockquote', 'code-block'],
  //       [{ 'direction': 'rtl' }],
  //       ['clean']
  //     ],
  //     disabled: false
  //   }
  // },
  // {
  //   type: 'cascader',
  //   icon: 'icon-jilianxuanze',
  //   options: {
  //     defaultValue: [],
  //     width: '',
  //     placeholder: '',
  //     disabled: false,
  //     clearable: false,
  //     remote: true,
  //     remoteType: 'option',
  //     remoteOption: '',
  //     remoteOptions: [],
  //     props: {
  //       value: 'value',
  //       label: 'label',
  //       children: 'children'
  //     },
  //     remoteFunc: '',
  //     customClass: '',
  //     labelWidth: 100,
  //     isLabelWidth: false,
  //     hidden: false,
  //     dataBind: true
  //   }
  // },
  // {
  //   type: 'table',
  //   icon: 'icon-table',
  //   options: {
  //     defaultValue: [],
  //     customClass: '',
  //     labelWidth: 100,
  //     isLabelWidth: false,
  //     hidden: false,
  //     dataBind: true,
  //     disabled: false,
  //   },
  //   tableColumns: []
  // }
]

export const elmentLayoutComponents = [
  {
    // type: 'grid',
    icon: 'icon-RectangleCopy',
    label: 'el-row',
    list: [
      {
        label: 'el-col',
        // is_layout: 'true',
        attr: {
          ':span': '8',
          'scp-layout': 'true',
          'style': 'padding:10px;min-wight:20px'
        },
        list: []
      },
      {
        label: 'el-col',
        // is_layout: 'true',
        attr: {
          ':span': '14',
          'scp-layout': 'true',
          'style': 'padding:10px; min-wight:20px;'
        },
        list: []
      }
    ],
    attr: {
      type: 'flex',
      'scp-type': 'grid',
      'align': 'top',
      'justify': 'center',
      ':gutter': '1',
      'style': 'padding: 5px;'
    }
  },
  // {
  //   type: 'tabs',
  //   icon: 'icon-tabs',
  //   tabs: [
  //     {
  //       label: 'Tab 1',
  //       name: 'tab_1',
  //       list: []
  //     }
  //   ],
  //   options: {
  //     type: '',
  //     tabPosition: 'top',
  //     customClass: '',
  //     hidden: false,
  //   }
  // },
  // {
  //   type: 'divider',
  //   icon: 'icon-fengexian',
  //   options: {
  //     hidden: false,
  //     contentPosition: 'left'
  //   }
  // },
  {
    icon: 'icon-RectangleCopy',
    label: 'div',
    list: [],
    attr: {
      // ':style': "{ display: 'flex', padding: '10px', }",
      'style': 'display:flex;padding:10px',
      'scp-layout': 'true',
      'scp-type': 'div'

    }

  },
  {
    icon: 'icon-RectangleCopy',
    label: 'el-form',
    list: [
      {
        icon: 'icon-RectangleCopy',
        label: 'el-form-item',
        attr: {
          'label': '审批人',
          'scp-allowparent': 'el-form'
        },
        list: [
          {
            label: 'div',
            attr: {
              'scp-layout': 'true',
              style: 'min-height:32px;min-width:40px;'
            },
            list: [

            ]
          }
        ]
      }
    ],
    attr: {
      'label-width': '80px',
      // 'scp-layout': 'true',
      'scp-type': 'form',
      'style': 'padding:10px;',
      ':inline': 'true'
    }
  },
  // {
  //     icon: 'icon-RectangleCopy',
  //     label: 'el-form-item',
  //     attr: {
  //         "label": '审批人',
  //         'scp-type': 'form-item',
  //         'scp-allowparent':'el-form'
  //     },
  //     list: [
  //         {
  //             label:'div',
  //             attr:{
  //                 'scp-layout': 'true',
  //                 style:'min-height:32px;min-width:40px;'
  //             },
  //             list:[
  //
  //             ]
  //         }
  //     ]
  // },
  {
    icon: 'icon-RectangleCopy',
    label: 'el-row',
    attr: {
      'scp-type': 'demo'
      // 'scp-layout': 'true'
    },
    list: [
      {
        label: 'el-col',
        attr: {
          ':span': '8',
          'v-for': '(o, index) in 1',
          ':key': 'o',
          ':offset': 'index > 0 ? 2 : 0'
        },
        list: [
          {
            label: 'el-card',
            attr: {
              ':body-style': "{ padding: '0px' }"
            },
            list: [
              {
                label: 'img',
                attr: {
                  src: 'https://shadow.elemecdn.com/app/element/hamburger.9cf7b091-55e9-11e9-a976-7f4d0b07eef6.png',
                  class: 'image'
                }
              },
              {
                label: 'div',
                attr: {
                  'style': 'padding: 14px',
                  'scp-layout': 'true'
                },
                list: [
                  {
                    label: 'span',
                    attr: {
                      innerText: '好吃的汉堡'
                    }
                  },
                  {
                    label: 'div',
                    attr: {
                      // class: 'bottom clearfix'
                      'style': 'margin-top: 13px;line-height:12px;',
                      'scp-layout': 'true'
                    },
                    list: [
                      {
                        label: 'time',
                        attr: {
                          class: 'time',
                          innerText: '2020-01-01',
                          'style': 'font-size: 13px;color: #999;'
                        }
                      },
                      {
                        label: 'el-button',
                        attr: {
                          type: 'text',
                          // class: 'button',
                          innerText: '操作按钮',
                          'style': 'padding: 0;float: right;'
                        }
                      }
                    ]
                  }
                ]
              }
            ]
          }
        ]
      }
    ]

  }
]
