export const iviewBasicComponents = [
  {
    icon: 'icon-input',
    label: 'i-button',
    attr: {
      'icon': 'ios-search',
      innerText: '确定',
      'scp-type': '按钮',
      '@click': ''
    }

  },
  {
    label: 'Icon',
    attr: {
      type: 'ios-search',
      'scp-type': '图标'
    }

  },
  // {
  //     icon: 'icon-input',
  //     label: 'el-link',
  //     attr: {
  //         type: "success",
  //         href: "https://element.eleme.io",
  //         icon: "el-icon-edit",
  //         innerText: '我是一个链接',
  //         'scp-type': 'link',
  //     },
  //
  // },

  // {
  //
  //     label: 'el-table',
  //     list: [
  //         {
  //             label: 'el-table-column',
  //             attr: {
  //                 prop: 'date',
  //                 label: '日期',
  //                 width: '180'
  //             }
  //         },
  //         {
  //             label: 'el-table-column',
  //             attr: {
  //                 prop: 'name',
  //                 label: '姓名',
  //                 width: '180'
  //             }
  //         },
  //         {
  //             label: 'el-table-column',
  //             attr: {
  //                 prop: 'address',
  //                 label: '地址'
  //             }
  //         }
  //     ],
  //     attr: {
  //         'style': "width:'100%'",
  //         'scp-type': 'table',
  //     },
  //
  // },
  // {
  //     // type: 'table',
  //     icon: 'icon-input',
  //     label: 'vxe-grid',
  //     attr: {
  //         'style': "width:100%",
  //         'scp-type': 'vxe表格',
  //         height: "530",
  //     },
  // },
  {
    label: 'vxe-table',
    attr: {
      ':data': 'page.results',
      'scp-type': 'vxe表格',
      ':stripe': 'true',
      'style': 'margin-top:20px;width:100%;',
      ':highlight-hover-row': 'true',
      'show-overflow': 'tooltip'
    },
    list: [
      {
        'label': 'vxe-table-column',
        'attr': {
          'width': '80',
          'type': 'index',
          'title': '序号'
        }
      },
      {
        'label': 'vxe-table-column',
        'attr': {
          'style': '',
          'title': '订单编号'
        },
        'list': [
          {
            'label': 'template',
            'attr': {
              'style': 'padding:1px;margin: 1px;min-height:20px',
              'scp-layout': 'true',
              'v-slot': '{ row }'
            },
            'list': [
              {
                'label': 'span',
                'attr': {
                  'innerText': '{{row.order_code}}'
                }
              }
            ]
          }
        ]
      },
      {
        'label': 'vxe-table-column',
        'attr': {
          'title': '标题'
        },
        'list': [
          {
            'label': 'template',
            'attr': {
              'style': 'margin:1px;padding:1px;min-height:20px;',
              'scp-layout': 'true',
              'v-slot': '{ row }'
            },
            'list': [
              {
                'label': 'span',
                'attr': {
                  'innerText': '{{row.title}}'
                }
              }
            ]
          }
        ]
      },
      {
        'label': 'vxe-table-column',
        'attr': {
          'title': '姓名'
        },
        'list': [
          {
            'label': 'template',
            'attr': {
              'style': 'padding:1px;margin: 1px;min-height:20px',
              'scp-layout': 'true',
              'v-slot': '{ row }'
            },
            'list': [
              {
                'label': 'span',
                'attr': {
                  'innerText': '{{row.name}}'
                }
              }
            ]
          }
        ]
      },
      {
        'label': 'vxe-table-column',
        'attr': {
          'field': '',
          'title': '操作'
        },
        'list': [
          {
            'label': 'template',
            'attr': {
              'style': 'padding:1px;margin: 1px;min-height:20px',
              'scp-layout': 'true',
              'v-slot': '{ row }'
            },
            'list': [
              {
                'label': 'i-button',
                'attr': {
                  '@click': "$router.push({ path:'/系统id/模块id/功能id',query:{id:row.id} })",
                  'innerText': '编辑',
                  'style': '',
                  'type': 'text'
                }
              },
              {
                'label': 'i-button',
                'attr': {
                  'innerText': '删除',
                  'type': 'text'
                }
              }
            ]
          }
        ]
      }
    ]
  },
  {
    label: 'Page',
    attr: {
      'scp-type': '分页',
      ':current': 'page.pageNo',
      ':page-size': 'page.pageSize',
      'innerText': '',
      ':total': 'page.totalRecord',
      '@on-change': "(val) => {  $scp.post('列表url',Object.assign({},data,{pageNo:val}) , page) }",
      ':show-sizer': 'true',
      'style': 'margin-top:20px;',
      ':show-elevator': 'true',
      '@on-page-size-change': "(val) => {  $scp.post('列表url',Object.assign(data,{pageSize:val}) , page) }"
    }
  },
  {
    'label': 'i-form',
    'attr': {
      'scp-type': '搜索条',
      ':inline': 'true',
      'style': 'background-color:#f0faff;border-color:#abdcff;border-style:solid;border-width:1px;padding:8px 48px 8px 16px;'
    },
    'list': [
      {
        'label': 'Form-item',
        'attr': {
          'scp-allowparent': 'i-form',
          'style': 'padding:2px;'
        },
        'list': [
          {
            'label': 'div',
            'attr': {
              'style': 'padding:1px;min-height:32px;min-width:40px;',
              'scp-layout': 'true'
            },
            'list': [
              {
                'label': 'i-input',
                'attr': {
                  'scp-type': '输入框',
                  'style': 'min-width:50px;',
                  'placeholder': '订单编号',
                  'type': 'text',
                  'v-model': ''
                }
              }
            ]
          }
        ]
      },
      {
        'label': 'Form-item',
        'attr': {
          'scp-allowparent': 'i-form',
          'style': 'padding:2px;'
        },
        'list': [
          {
            'label': 'div',
            'attr': {
              'style': 'padding:1px;min-height:32px;min-width:40px;',
              'scp-layout': 'true'
            },
            'list': [
              {
                'label': 'i-input',
                'attr': {
                  'scp-type': '输入框',
                  'style': 'min-width:50px;',
                  'placeholder': '标题',
                  'type': 'text',
                  'v-model': ''
                }
              }
            ]
          }
        ]
      },
      {
        'label': 'Form-item',
        'attr': {
          'scp-allowparent': 'i-form',
          'style': 'padding:2px;'
        },
        'list': [
          {
            'label': 'div',
            'attr': {
              'style': 'padding:1px;min-height:32px;min-width:40px;',
              'scp-layout': 'true'
            },
            'list': [
              {
                'icon': 'icon-input',
                'label': 'i-button',
                'attr': {
                  '@click': "$scp.post('列表url',data , page);",
                  'innerText': '确定',
                  'icon': 'ios-search',
                  'scp-type': '按钮',
                  'style': ''

                }
              }
            ]
          }
        ]
      },
      {
        'label': 'Form-item',
        'attr': {
          'scp-allowparent': 'i-form',
          'style': 'padding:2px;'
        },
        'list': [
          {
            'label': 'div',
            'attr': {
              'style': 'padding:1px;min-height:32px;min-width:40px;',
              'scp-layout': 'true'
            },
            'list': [
              {
                'icon': 'icon-input',
                'label': 'i-button',
                'attr': {
                  '@click': "$router.push('/系统id/模块id/功能id')",
                  'innerText': '新增',
                  'icon': 'ios-search',
                  'scp-type': '按钮',
                  'style': ''
                }
              }
            ]
          }
        ]
      }
    ]
  },
  {
    'label': 'i-form',
    'attr': {
      'scp-type': '表单页面',
      'style': 'padding:10px;',
      'label-position': 'top',
      'scp-layout': 'true'
    },
    'list': [
      {
        'label': 'div',
        'attr': {
          'class': 'title-style',
          'style': 'background-color:#ecf8ff;border-left:5px solid #50bfff;border-radius:4px;font-size:16px;margin:15px 0;padding:8px 12px;width:100%;',
          'innerText': '基本信息'
        }
      },
      {
        'label': 'Row',
        'attr': {
          ':gutter': '16',
          'scp-layout': 'true'
        },
        'list': [
          {
            'label': 'i-col',
            'attr': {
              ':span': '12'
            },
            'list': [
              {
                'label': 'Form-item',
                'attr': {
                  'scp-allowparent': 'i-form',
                  'style': '',
                  'label': '审批人'
                },
                'list': [
                  {
                    'label': 'div',
                    'attr': {
                      'scp-layout': 'true',
                      'class': 'form-element',
                      'style': 'padding-right:10px;min-height:10px;'
                    },
                    'list': [
                      {
                        'label': 'i-input',
                        'attr': {
                          'scp-type': '输入框',
                          'placeholder': '请输入...',
                          'type': 'text',
                          'innerText': ''
                        }
                      }
                    ]
                  }
                ]
              }
            ]
          },
          {
            'label': 'i-col',
            'attr': {
              ':span': '12'
            },
            'list': [
              {
                'label': 'Form-item',
                'attr': {
                  'scp-allowparent': 'i-form',
                  'style': 'min-height:10px;',
                  'label': '审批人'
                },
                'list': [
                  {
                    'label': 'div',
                    'attr': {
                      'scp-layout': 'true',
                      'class': 'form-element',
                      'style': 'padding-right:10px;min-height:10px;'
                    },
                    'list': [
                      {
                        'label': 'i-input',
                        'attr': {
                          'scp-type': '输入框',
                          'style': 'min-width:50px;',
                          'placeholder': '请输入...',
                          'type': 'text',
                          'innerText': ''
                        }
                      }
                    ]
                  }
                ]
              }
            ]
          },
          {
            'label': 'i-col',
            'attr': {
              'span': '8'
            },
            'list': [
              {
                'label': 'Form-item',
                'attr': {
                  'prop': '',
                  'label': '选择已有单位:'
                },
                'list': [
                  {
                    'label': 'div',
                    'attr': {
                      'scp-layout': 'true',
                      'style': 'padding-right:10px;min-height:10px;'
                    },
                    'list': [
                      {
                        'label': 'Select',
                        'attr': {
                          'style': 'width:100%;'
                        },
                        'list': [
                          {
                            'label': 'Option',
                            'attr': {
                              ':value': 'item.id',
                              'v-for': 'item in companyList',
                              ':key': 'item.id',
                              'innerText': '\n                                {{ item.name }}\n                            '
                            }
                          }
                        ]
                      }
                    ]
                  }
                ]
              }
            ]
          },
          {
            'label': 'i-col',
            'attr': {
              'span': '4'
            },
            'list': [
              {
                'label': 'Form-item',
                'attr': {
                  'prop': '',
                  'label': '新建单位:'
                },
                'list': [
                  {
                    'label': 'div',
                    'attr': {
                      'scp-layout': 'true',
                      'style': 'padding-right:10px;min-height:10px;'
                    },
                    'list': [
                      {
                        'label': 'Button',
                        'attr': {
                          'v-on:click': 'addCompany',
                          'type': 'info',
                          'innerText': '新建'
                        }
                      }
                    ]
                  }
                ]
              }
            ]
          },
          {
            'label': 'i-col',
            'attr': {
              'span': '8'
            },
            'list': [
              {
                'label': 'Form-item',
                'attr': {
                  'prop': '',
                  'label': '选择已有分类:'
                },
                'list': [

                  {
                    'label': 'div',
                    'attr': {
                      'scp-layout': 'true',
                      'style': 'padding-right:10px;min-height:10px;'
                    },
                    'list': [
                      {
                        'label': 'Select',
                        'attr': {
                          'style': 'width:100%;'
                        },
                        'list': [
                          {
                            'label': 'Option',
                            'attr': {
                              ':value': 'item.id',
                              'v-for': 'item in companyList',
                              ':key': 'item.id',
                              'innerText': '\n                                {{ item.name }}\n                            '
                            }
                          }
                        ]
                      }
                    ]
                  }
                ]
              }
            ]
          },
          {
            'label': 'i-col',
            'attr': {
              'span': '4'
            },
            'list': [
              {
                'label': 'Form-item',
                'attr': {
                  'prop': '',
                  'label': '新建分类:'
                },
                'list': [

                  {
                    'label': 'div',
                    'attr': {
                      'scp-layout': 'true',
                      'style': 'padding-right:10px;min-height:10px;'
                    },
                    'list': [
                      {
                        'label': 'Button',
                        'attr': {
                          'type': 'info',
                          'innerText': '新建'
                        }
                      }
                    ]

                  }

                ]
              }
            ]
          }
        ]
      },
      {
        'label': 'div',
        'attr': {
          'style': 'background-color:#ecf8ff;border-left:5px solid #50bfff;border-radius:4px;font-size:16px;margin:15px 0;padding:8px 12px;width:100%;',
          'innerText': '其他信息'
        }
      },
      {
        'label': 'Row',
        'attr': {},
        'list': [
          {
            'label': 'Col',
            'attr': {
              'span': '24',
              'style': ''
            },
            'list': [
              {
                'label': 'Form-item',
                'attr': {
                  'prop': 'type',
                  'label': '商品类型:'
                },
                'list': [
                  {
                    'label': 'div',
                    'attr': {
                      'class': 'form-element',
                      'scp-layout': 'true',
                      'style': 'min-height:10px;'
                    },
                    'list': [
                      {
                        'label': 'Radio-group',
                        'attr': {},
                        'list': [
                          {
                            'label': 'Radio',
                            'attr': {
                              ':border': 'true',
                              'label': '0',
                              'value': '0',
                              'innerText': '实物商品'
                            }
                          },
                          {
                            'label': 'Radio',
                            'attr': {
                              ':border': 'true',
                              'label': '1',
                              'value': '1',
                              'innerText': '电子券'
                            }
                          },
                          {
                            'label': 'Radio',
                            'attr': {
                              ':border': 'true',
                              'label': '2',
                              'value': '2',
                              'innerText': '虚拟商品'
                            }
                          },
                          {
                            'label': 'Radio',
                            'attr': {
                              ':border': 'true',
                              'label': '3',
                              'value': '3',
                              'innerText': '服务'
                            }
                          }
                        ]
                      }
                    ]
                  }
                ]
              }
            ]
          }
        ]
      },
      {
        'label': 'Row',
        'attr': {
          justify: 'center',
          align: 'middle',
          'scp-layout': 'true',
          style: 'min-height:10px;'
        },
        list: [
          {
            label: 'Divider',
            attr: {
              'scp-type': '分隔线'
            }
          }
        ]
      },
      {
        'label': 'Row',
        'attr': {
          justify: 'center',
          align: 'middle',
          'scp-layout': 'true',
          style: 'min-height:10px;'
        },
        'list': [
          {
            'label': 'i-button',
            'attr': {
              'v-if': '!$route.query.id',
              'v-on:click': "$scp.insert4upd('/api/ax/ttest/order/inserttest',form , '成功');",
              'innerText': '保存',
              'scp-type': '按钮',
              'style': '',
              'type': 'primary'

            }
          },
          {
            'label': 'i-button',
            'attr': {
              'v-if': '$route.query.id',
              'v-on:click': "$scp.save('/api/ax/ttest/order/updatetest',form , '保存成功');",
              'innerText': '修改',
              'style': 'margin-left:10px;',
              'type': 'primary'
            }
          },
          {
            'label': 'i-button',
            'attr': {
              'v-on:click': '$router.go(-1)',
              'innerText': '返回',
              'style': 'margin-left:10px;'
            }
          }
        ]
      }

    ]
  },
  {
    label: 'Steps',
    attr: {
      ':current': '1',
      'scp-type': '步骤条'
    },
    list: [
      {
        label: 'Step',
        attr: {
          title: '注册',
          content: '这里是该步骤的描述信息'
        }
      },
      {
        label: 'Step',
        attr: {
          title: '上传头像',
          content: '这里是该步骤的描述信息'
        }
      },
      {
        label: 'Step',
        attr: {
          title: '验证邮箱',
          content: '这里是该步骤的描述信息'
        }
      }
    ]
  },
  {
    label: 'Tag',
    attr: {
      innerText: '标签一',
      'scp-type': '标签'
    }
  },
  {
    label: 'Progress',
    attr: {
      ':percent': '25',
      status: 'active',
      'scp-type': '进度条'
    }
  },
  {
    label: 'Badge',
    attr: {
      ':count': '100',
      'scp-type': '微标数'
    },
    list: [
      {
        label: 'a',
        attr: {
          href: '#',
          style: 'width: 42px;height: 42px;background: #eee;border-radius: 6px;display: inline-block;'
          // innerText:"测试"
        }
      }
    ]
  },
  {
    label: 'Divider',
    attr: {
      'scp-type': '分隔线',
      'innerText': '内容'
    }
  },
  {
    label: 'wl-pdf-download',
    attr: {
      'scp-type': '在线预览pdf',
      'url': '',
      'width': '800px',
      'height': '500px',
      'pdfUrl': 'http://pdfviewer.lngov.top/viewer.html',
      'name': '预览pdf'
    }
  },
  {
    label: 'wl-flow-viewer',
    attr: {
      'scp-type': '流程图',
      'id': '',
      'width': '800px',
      'height': '500px',
      'name': '预览流程图'
    }
  },
  // {
  //     label:"wl-down-excel",
  //     attr: {
  //         "scp-type": "excel下载",
  //         "id":"",
  //         ':option':"[[1,2,3,4],[5,6,7,8]]" ,
  //         'filename':"下载的文件名",
  //         "name":"按钮名称"
  //     },
  // },
  {
    label: 'wl-down-tpl-excel',
    attr: {
      'scp-type': 'excel模板下载',
      'id': '',
      ':option': '[[1,2,3,4],[5,6,7,8]]',
      'filename': '下载的文件名',
      'name': '按钮名称'
    }
  },
  {
    label: 'wl-import-excel',
    attr: {
      'scp-type': 'excel上传',
      'id': '',
      'backRowNum': '2'
    }
  },
  {
    label: 'wl-modal',
    attr: {
      'scp-type': '弹出框',
      'id': '',
      'title': '标题',
      'okText': '确定',
      'cancelText': '取消',
      ':scp-show': 'true',
      'v-model': '',
      'width': '90'
    },
    list: [
      {
        label: 'div',
        'attr': {
          'style': 'padding:1px;min-height:32px;min-width:40px;',
          'scp-layout': 'true'
        },
        list: []
      }
    ]
  },
  {
    label: 'scpcw-base-load-component',
    attr: {
      'scp-type': '引用模版',
      'path': '',
      ':scp-show': 'true'
    }
  },
  {
    label: 'wl-echarts-plugin',
    attr: {
      'scp-type': '图表',
      'options': {},
      'width': '200',
      'height': '200'
    }
  }, {
    label: 'wl-create-qrcode',
    attr: {
      'scp-type': '二维码',
      'qr-text': '1234',
      'color-dark': '#4907A0',
      'color-light': '#ffffff',
      ':qr-width': '200',
      ':qr-height': '200'
    }
  }

]

export const iviewFromComponents = [
  {
    label: 'i-input',
    attr: {
      placeholder: '请输入...',
      type: 'text',
      'style': 'min-width:50px;',
      'scp-type': '输入框',
      'v-model': ''

    }
  },
  {
    // type: 'textarea',
    label: 'i-input',
    attr: {
      type: 'textarea',
      placeholder: '请输入...',
      'scp-type': '多行文本框',
      'v-model': ''
    }
  },
  // {
  //     // type: 'number',
  //     icon: 'icon-number',
  //     label: 'el-input-number',
  //     attr: {
  //         'scp-type': 'number',
  //     },
  //
  // },
  {
    label: 'Radio-group',
    attr: {
      'scp-type': '单选框'
    },
    list: [
      {
        label: 'Radio',
        attr: {
          ':border': 'true',
          'label': '1',
          'value': '1',
          'innerText': '男生'
        }
      }, {
        label: 'Radio',
        attr: {
          ':border': 'true',
          'label': '2',
          'value': '2',
          innerText: '女生'
        }
      }

    ]
  },
  {
    label: 'Checkbox-group',
    attr: {
      'scp-type': '多选框'
    },
    list: [
      {
        label: 'Checkbox',
        attr: {
          innerText: '听歌'
        }
      }, {
        label: 'Checkbox',
        attr: {
          innerText: '打球'
        }
      }

    ]
  },
  {
    label: 'i-switch',
    attr: {
      'scp-type': '开关'
    },
    list: [
      {
        label: 'span',
        attr: {
          slot: 'open',
          innerText: '开'
        }
      },
      {
        label: 'span',
        attr: {
          slot: 'close',
          innerText: '关'
        }
      }

    ]
  },
  {
    // type: 'select',
    label: 'i-select',
    list: [
      {
        label: 'i-option',
        attr: {
          innerText: '显示内容',
          value: 'value'
        }
      }
    ],
    attr: {
      'scp-type': '下拉框',
      'v-model': '',
      style: 'width:200px'
    }
  },
  {
    // type: 'switch',
    label: 'Slider',
    attr: {
      'scp-type': '滑块',
      ':min': '1',
      ':max': '100'
    }
  },
  {
    // type: 'switch',
    label: 'Date-picker',
    attr: {
      'scp-type': '日期选择',
      format: 'yyyy年MM月dd日',
      type: 'date',
      placeholder: '选择日期',
      style: 'width: 200px',
      'v-on:on-change': "(dt) =>{ '' = dt }",
      'value': ''
    }
  },

  {
    // type: 'switch',
    label: 'Date-picker',
    attr: {
      'scp-type': '日期段选择',
      format: 'yyyy/MM/dd',
      type: 'daterange',
      placeholder: '日期段选择',
      style: 'width: 200px'
    }
  },
  {
    // type: 'switch',
    label: 'Time-picker',
    attr: {
      'scp-type': '时间选择',
      type: 'time',
      placeholder: '时间选择',
      style: 'width: 200px'
    }
  },
  {
    // type: 'switch',
    label: 'Cascader',
    attr: {
      'scp-type': '级联选择',
      type: 'time',
      trigger: 'hover',
      style: 'width: 200px'
    }
  },
  {
    // type: 'switch',
    label: 'Input-number',
    attr: {
      'scp-type': '数字输入框',
      ':min': '1',
      ':max': '100',
      style: 'width: 200px'
    }
  },
  {
    // type: 'switch',
    label: 'Rate',
    attr: {
      'scp-type': '评分'
    }
  },
  {
    // type: 'switch',
    label: 'wl-upload-oss-files',
    attr: {
      'scp-type': '上传文件',
      'v-model': '',
      ':maxNum': '50',
      'uploadType': 'hadoop',
      'fileName': 'origin',
      'uploadUrl': 'http://sstnewup.qstb.top/api/ac/file/fileCommonService/upLoadFiles',
      'getSignUrl': '/api/ac/bizpublic/getHadoopService/getSign'
    }
  },
  {
    // type: 'switch',
    label: 'wl-select-city',
    attr: {
      'scp-type': '城市选择',
      'v-model': ''
    }
  }

]

export const advanceComponents = [
  // {
  //   type: 'blank',
  //   icon: 'icon-zidingyishuju',
  //   options: {
  //     defaultType: 'String',
  //     customClass: '',
  //     width: '',
  //     labelWidth: 100,
  //     isLabelWidth: false,
  //     hidden: false,
  //     dataBind: true
  //   }
  // },
  // {
  //   type: 'fileupload',
  //   icon: 'icon-wenjianshangchuan',
  //   options: {
  //     defaultValue: [],
  //     width: '',
  //     tip: '',
  //     action: 'https://jsonplaceholder.typicode.com/photos/',
  //     customClass: '',
  //     disabled: false,
  //     limit: 9,
  //     fileList: [],
  //     labelWidth: 100,
  //     isLabelWidth: false,
  //     hidden: false,
  //     dataBind: true
  //   }
  // },
  // {
  //   type: 'imgupload',
  //   icon: 'icon-tupian',
  //   options: {
  //     defaultValue: [],
  //     size: {
  //       width: 100,
  //       height: 100,
  //     },
  //     width: '',
  //     tokenFunc: 'funcGetToken',
  //     token: '',
  //     domain: 'http://toolcdn.xiaoyaoji.cn/',
  //     disabled: false,
  //     readonly: false,
  //     limit: 8,
  //     multiple: false,
  //     isQiniu: true,
  //     isDelete: false,
  //     min: 0,
  //     isEdit: false,
  //     action: 'https://jsonplaceholder.typicode.com/photos/',
  //     customClass: '',
  //     labelWidth: 100,
  //     isLabelWidth: false,
  //     hidden: false,
  //     dataBind: true
  //   }
  // },
  // {
  //   type: 'editor',
  //   icon: 'icon-fuwenbenkuang',
  //   options: {
  //     defaultValue: '',
  //     width: '',
  //     customClass: '',
  //     labelWidth: 100,
  //     isLabelWidth: false,
  //     hidden: false,
  //     dataBind: true,
  //     customToolbar: [
  //       [ 'bold', 'italic', 'underline', 'strike',
  //         { 'color': [] },
  //         { 'background': [] },
  //         { 'align': [] },
  //         { 'list': 'ordered'},
  //         { 'list': 'bullet' },
  //         { 'indent': '-1'},
  //         { 'indent': '+1' }
  //       ],
  //       [{ 'font': [] },{ 'header': [1, 2, 3, 4, 5, 6, false] }],
  //       [{ 'script': 'sub'}, { 'script': 'super' }],
  //       ['link', 'image','blockquote', 'code-block'],
  //       [{ 'direction': 'rtl' }],
  //       ['clean']
  //     ],
  //     disabled: false
  //   }
  // },
  // {
  //   type: 'cascader',
  //   icon: 'icon-jilianxuanze',
  //   options: {
  //     defaultValue: [],
  //     width: '',
  //     placeholder: '',
  //     disabled: false,
  //     clearable: false,
  //     remote: true,
  //     remoteType: 'option',
  //     remoteOption: '',
  //     remoteOptions: [],
  //     props: {
  //       value: 'value',
  //       label: 'label',
  //       children: 'children'
  //     },
  //     remoteFunc: '',
  //     customClass: '',
  //     labelWidth: 100,
  //     isLabelWidth: false,
  //     hidden: false,
  //     dataBind: true
  //   }
  // },
  // {
  //   type: 'table',
  //   icon: 'icon-table',
  //   options: {
  //     defaultValue: [],
  //     customClass: '',
  //     labelWidth: 100,
  //     isLabelWidth: false,
  //     hidden: false,
  //     dataBind: true,
  //     disabled: false,
  //   },
  //   tableColumns: []
  // }
]

export const iviewLayoutComponents = [
  {

    label: 'Row',
    list: [
      {
        label: 'i-col',
        // is_layout: 'true',
        attr: {
          ':span': '8',
          'scp-layout': 'true',
          'style': 'padding:10px;min-wight:20px'
        },
        list: []
      },
      {
        label: 'i-col',
        // is_layout: 'true',
        attr: {
          ':span': '14',
          'scp-layout': 'true',
          'style': 'padding:10px; min-wight:20px;'
        },
        list: []
      }
    ],
    attr: {
      type: 'flex',
      'scp-type': '三格',
      'align': 'top',
      'justify': 'center',
      ':gutter': '1',
      'style': 'padding: 5px;'
    }
  },
  {
    'label': 'i-form',
    'attr': {
      'scp-type': '表单',
      'style': 'padding:10px;',
      'label-position': 'top',
      'scp-layout': 'true'
    },
    'list': [
      {
        'label': 'Row',
        'attr': {
          ':gutter': '16',
          'scp-layout': 'true'
        },
        'list': [
          {
            'label': 'i-col',
            'attr': {
              ':span': '12'
            },
            'list': [
              {
                'label': 'Form-item',
                'attr': {
                  'scp-allowparent': 'i-form',
                  'style': '',
                  'label': '审批人'
                },
                'list': [
                  {
                    'label': 'div',
                    'attr': {
                      'scp-layout': 'true',
                      'class': 'form-element',
                      'style': 'padding-right:10px;min-height:10px;'
                    },
                    'list': [
                      {
                        'label': 'i-input',
                        'attr': {
                          'scp-type': '输入框',
                          'placeholder': '请输入...',
                          'type': 'text',
                          'innerText': ''
                        }
                      }
                    ]
                  }
                ]
              }
            ]
          },
          {
            'label': 'i-col',
            'attr': {
              ':span': '12'
            },
            'list': [
              {
                'label': 'Form-item',
                'attr': {
                  'scp-allowparent': 'i-form',
                  'style': 'min-height:10px;',
                  'label': '审批人'
                },
                'list': [
                  {
                    'label': 'div',
                    'attr': {
                      'scp-layout': 'true',
                      'class': 'form-element',
                      'style': 'padding-right:10px;min-height:10px;'
                    },
                    'list': [
                      {
                        'label': 'i-input',
                        'attr': {
                          'scp-type': '输入框',
                          'style': 'min-width:50px;',
                          'placeholder': '请输入...',
                          'type': 'text',
                          'innerText': ''
                        }
                      }
                    ]
                  }
                ]
              }
            ]
          }
        ]
      }
    ]
  },

  {
    label: 'Card',
    list: [
      {
        label: 'div',
        attr: {
          'scp-layout': 'true',
          style: 'min-height:32px;min-width:40px;padding:1px'
        },
        list: []
      }
    ],
    attr: {
      'scp-type': '卡片',
      'style': 'padding:1px;'
    }
  },
  // {
  //     label: 'Modal',
  //     list: [
  //         {
  //             label: 'div',
  //             attr: {
  //                 'scp-layout': 'true',
  //                 style:'min-height:32px;min-width:40px;padding:1px'
  //             },
  //             list: [
  //             ]
  //         }
  //     ],
  //     attr: {
  //         'scp-type': '对话框',
  //         ':width': "360",
  //         title:"普通的Modal对话框标题",
  //         ':visible':'true'
  //     }
  // },

  {
    label: 'Collapse',
    attr: {
      'active-key': '1',
      'scp-type': '折叠面板'
    },
    list: [
      {
        label: 'Panel',
        attr: {
          key: '1'
        },
        list: [
          {
            label: 'span',
            attr: {
              innerText: '史蒂夫·乔布斯'
            }
          },
          {

            label: 'div',
            attr: {
              'slot': 'content',
              'scp-layout': 'true'
              // "style":"width:200px,height:200px",
              // innerText:"史蒂夫·乔布斯（Steve Jobs），1955年2月24日生于美国加利福尼亚州旧金山，美国发明家、企业家、美国苹果公司联合创办人。"
            },
            list: [
              {
                label: 'span',
                attr: {
                  innerText: '我是占位文字'
                }
              }
            ]
          }
        ]
      }
    ]
  },

  {
    label: 'Tooltip',
    attr: {
      content: '这里是提示文字',
      'scp-type': '提示文字'

    },
    list: [
      {
        label: 'div',
        attr: {
          'scp-layout': 'true',
          style: 'padding: 10px;'
        },
        list: []
      }
    ]
  },
  {
    label: 'Carousel',
    attr: {
      'scp-type': '走马灯'
    },
    list: [
      {
        label: 'Carousel-item',
        attr: {},
        list: [
          {
            label: 'div',
            attr: {
              style: 'padding:10px',
              innerText: '1'
            }
          }
        ]
      },
      {
        label: 'Carousel-item',
        attr: {},
        list: [
          {
            label: 'div',
            attr: {
              style: 'padding:10px',
              innerText: '2'
            }
          }
        ]
      }
    ]
  },
  {
    label: 'Tabs',
    attr: {
      'scp-type': '标签页',
      type: 'card'
    },
    list: [
      {
        label: 'Tab-pane',
        attr: {
          'label': '标签一',
          'scp-layout': 'true',
          style: 'min-height:11px;margin:1px;padding:5px;'
        },
        list: []
      },
      {
        label: 'Tab-pane',
        attr: {
          'label': '标签二',
          'scp-layout': 'true',
          style: 'min-height:11px;margin:1px;padding:5px;'
        },
        list: []
      }
    ]
  }

]

export const iviewEchartComponents = [
  {
    // type: 'switch',
    label: 'dv-full-screen-container',
    attr: {
      'scp-type': '全屏组件',
      'scp-layout': 'true'
    }
  }, {
    // type: 'switch',
    label: 'dv-border-box-1',
    attr: {
      'scp-type': '边框1',
      'scp-layout': 'true',
      ':color': "['red', 'green']",
      'backgroundColor': 'black'
    }
  },
  {
    // type: 'switch',
    label: 'dv-border-box-2',
    attr: {
      'scp-type': '边框2',
      'scp-layout': 'true',
      ':color': "['red', 'green']",
      'backgroundColor': 'black'
    }
  }, {
    // type: 'switch',
    label: 'dv-border-box-3',
    attr: {
      'scp-type': '边框3',
      'scp-layout': 'true',
      ':color': "['red', 'green']",
      'backgroundColor': 'black'
    }
  }, {
    // type: 'switch',
    label: 'dv-border-box-4',
    attr: {
      'scp-type': '边框4',
      'scp-layout': 'true',
      ':reverse': 'true',
      ':color': "['red', 'green']",
      'backgroundColor': 'black'
    }
  }, {
    // type: 'switch',
    label: 'dv-border-box-5',
    attr: {
      'scp-type': '边框5',
      ':reverse': 'true',
      'scp-layout': 'true',
      ':color': "['red', 'green']",
      'backgroundColor': 'black'
    }
  }, {
    // type: 'switch',
    label: 'dv-border-box-6',
    attr: {
      'scp-type': '边框6',
      'scp-layout': 'true',
      ':color': "['red', 'green']",
      'backgroundColor': 'black'
    }
  }, {
    // type: 'switch',
    label: 'dv-border-box-7',
    attr: {
      'scp-type': '边框7',
      'scp-layout': 'true',
      ':color': "['red', 'green']",
      'backgroundColor': 'black'
    }
  }, {
    // type: 'switch',
    label: 'dv-border-box-8',
    attr: {
      'scp-type': '边框8',
      'scp-layout': 'true',
      ':dur': '3',
      ':reverse': 'true',
      ':color': "['red', 'green']",
      'backgroundColor': 'black'
    }
  }, {
    // type: 'switch',
    label: 'dv-border-box-9',
    attr: {
      'scp-type': '边框9',
      'scp-layout': 'true',
      ':color': "['red', 'green']",
      'backgroundColor': 'black'
    }
  }, {
    // type: 'switch',
    label: 'dv-border-box-10',
    attr: {
      'scp-type': '边框10',
      'scp-layout': 'true',
      ':color': "['red', 'green']",
      'backgroundColor': 'black'
    }
  }, {
    // type: 'switch',
    label: 'dv-border-box-11',
    attr: {
      'scp-type': '边框11',
      'scp-layout': 'true',
      'title': '我是标题',
      ':titleWidth': '250',
      ':color': "['red', 'green']",
      'backgroundColor': 'black'
    }
  }, {
    // type: 'switch',
    label: 'dv-border-box-12',
    attr: {
      'scp-type': '边框12',
      'scp-layout': 'true',
      ':color': "['red', 'green']",
      'backgroundColor': 'black'
    }
  }, {
    // type: 'switch',
    label: 'dv-border-box-13',
    attr: {
      'scp-type': '边框13',
      'scp-layout': 'true',
      ':color': "['red', 'green']",
      'backgroundColor': 'black'
    }
  }, {
    label: 'dv-loading',
    attr: {
      'scp-type': 'Loading加载'
    }
  }, {
    label: 'dv-decoration-1',
    attr: {
      'scp-type': '装饰1',
      ':color': "['red', 'green']",
      'style': 'width:200px;height:50px;'
    }
  }, {
    label: 'dv-decoration-2',
    attr: {
      'scp-type': '装饰2',
      ':reverse': 'true',
      ':dur': '6',
      ':color': "['red', 'green']",
      'style': 'width:5px;height:150px;'
    }
  }, {
    label: 'dv-decoration-3',
    attr: {
      'scp-type': '装饰3',
      ':color': "['red', 'green']",
      'style': 'width:250px;height:30px;'
    }
  }, {
    label: 'dv-decoration-4',
    attr: {
      'scp-type': '装饰4',
      ':reverse': 'true',
      ':dur': '6',
      ':color': "['red', 'green']",
      'style': 'width:250px;height:5px;'
    }
  }, {
    label: 'dv-decoration-5',
    attr: {
      'scp-type': '装饰5',
      ':dur': '6',
      ':color': "['red', 'green']",
      'style': 'width:300px;height:40px;'
    }
  }, {
    label: 'dv-decoration-6',
    attr: {
      'scp-type': '装饰6',
      ':color': "['red', 'green']",
      'style': 'width:300px;height:30px;'
    }
  }, {
    label: 'dv-decoration-7',
    attr: {
      'scp-type': '装饰7',
      ':color': "['red', 'green']",
      'style': 'width:150px;height:30px;'
    }
  }, {
    label: 'dv-decoration-8',
    attr: {
      'scp-type': '装饰8',
      ':reverse': 'true',
      ':color': "['red', 'green']",
      'style': 'width:300px;height:50px;'
    }
  }, {
    label: 'dv-decoration-9',
    attr: {
      'scp-type': '装饰9',
      ':dur': '6',
      ':color': "['red', 'green']",
      'style': 'width:150px;height:150px;'
    }
  }, {
    label: 'dv-decoration-10',
    attr: {
      'scp-type': '装饰10',
      ':color': "['red', 'green']",
      'style': 'width:90%;height:5px;'
    }
  }, {
    label: 'dv-decoration-11',
    attr: {
      'scp-type': '装饰11',
      'scp-layout': 'true',
      ':color': "['red', 'green']",
      'style': 'width:200px;height:50px;'
    }
  }, {
    label: 'dv-decoration-12',
    attr: {
      'scp-type': '装饰12',
      ':scanDur': '3',
      ':haloDur': '2',
      ':color': "['red', 'green']",
      'style': 'width:150px;height:150px;'
    }
  }

]
